### k8s-objects

#### 1. Pod

#### 2. Service

```service

Q1. Why Do we need Service to access Pod ?
A: Pod(s) are auto sacaleable , after every restart pod get new ip, to use new ip 
everytime to access an app is not suiatable,hence to aviod that Service are introduced 
which uses SELECTOR to identify pod(s) not pod ip to access app.

```

#### 3 . Deployment
```deployment

Note -

N1 - Pod is defined under Deplyment config file, as a good practice to avoid errors
google recommend config Pod in Deployment file .

N2 - COnfiguring Pod independentally is ok, but not recommended, refer below references

refer - udemy/docker-and-kubernetes-the-complete-guide/s13-200 to 
refer - kaushiwould/googledrive/draw.io/k8s/udemy/docker-and-kubernetes-the-complete-guide/k8s-objects
```
